/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef BACKGROUNDS_H_
#define BACKGROUNDS_H_

/*---------------------------------INCLUDES--------------------------------*/


/*---------------------------------ASSETS----------------------------------*/

extern EntityDefinition PVB_LEFT_BG;
extern EntityDefinition PVB_RIGHT_BG;
extern EntityDefinition VBJAE_LEFT_BG;
extern EntityDefinition VBJAE_RIGHT_BG;
extern EntityDefinition PRECAUTION_BG;
extern EntityDefinition PVBCC_LEFT_BG;
extern EntityDefinition PVBCC_RIGHT_BG;

extern EntityDefinition BIGPOW_BG;
extern EntityDefinition MOUNT0_BG;
extern EntityDefinition FLOOR1_BG;
extern EntityDefinition MOUNT2_BG;
extern EntityDefinition PIPE0_BG;
extern EntityDefinition PIPE1_BG;
extern EntityDefinition POLE0_BG;
extern EntityDefinition POW0_BG;
extern EntityDefinition WALL0_BG;
extern EntityDefinition FLOOR0_BG;
extern EntityDefinition FLOOR1_BG;
extern EntityDefinition FLOOR2_BG;

extern EntityDefinition MOUNTS0_BG;
extern EntityDefinition MOUNTS1_BG;

extern EntityDefinition NORMALBLOCK_BG;

extern EntityDefinition JAPANARC_BG;
extern EntityDefinition BRIDGE_FAR_BG;
extern EntityDefinition BRIDGE_NEAR_BG;
extern EntityDefinition TRANSPARENTBRIDGE_BG;
extern EntityDefinition GOAL0_BG;
extern EntityDefinition GATE_BG;

extern EntityDefinition MARIO_TITLE_LEFT_BG;
extern EntityDefinition MARIO_TITLE_RIGHT_BG;

extern EntityDefinition TITLE_BG;
#endif /*BACKGROUNDS_H_*/
