/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
#ifndef MAPTEXTS_H_
#define MAPTEXTS_H_

#include <vbjae.h>

extern TextBoxDefinition NULL_TXT;
extern TextBoxDefinition VBJAE_TXT;
extern TextBoxDefinition VBJAEAUTHOR_TXT;
extern TextBoxDefinition START_TXT;
//extern TEXTBOX OPTIONS_TX=		"Options";
extern TextBoxDefinition CREDITS_TXT;
extern TextBoxDefinition PAUSE_TXT;
extern TextBoxDefinition RESUME_TXT;
extern TextBoxDefinition QUIT_TXT;
/*extern TEXTBOX OPTIONST_TX=		"OPTIONS";
extern TEXTBOX DEEP_TX=			"Deep";
extern TEXTBOX CONTROLS_TX=		"Controls";
extern TEXTBOX SOUND_TX=		"Sound";
extern TEXTBOX FOCUS_TX=		"Focus Screen";
extern TEXTBOX DEBUG_TX=		"Debug";
*/
extern TextBoxDefinition RETURN_TXT;
extern TextBoxDefinition AUTOPAUSE_TXT;
extern TextBoxDefinition YES_TXT;
extern TextBoxDefinition NO_TXT;
extern TextBoxDefinition REST_TXT;
extern TextBoxDefinition MARIO_TXT;
extern TextBoxDefinition ESPE_TXT;
extern TextBoxDefinition JORGE_TXT;
extern TextBoxDefinition DEMOTITLE_TXT;
extern TextBoxDefinition PROJETIONDEMO_TXT;
extern TextBoxDefinition SOUNDDEMO_TXT;
extern TextBoxDefinition MARIODEMO_TXT;

#endif /*MAPTEXT_H_*/
