/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
#ifndef MAPS_H_
#define MAPS_H_

/* This file must have an extern definition of every bgmap */ 
/*---------------------------------INCLUDES--------------------------------*/
#include <libgccvb.h>
/*-------------------------------PROTOTYPES--------------------------------*/
extern BYTE BIGPOW_MP[];
extern BYTE CLOUDS0_MP[];
extern BYTE FLOOR0_MP[];
extern BYTE FLOOR1_MP[];
extern BYTE FLOOR2_MP[];
extern BYTE KOOPA0_MP[];
extern BYTE MARIO_MP[];
extern BYTE MOUNT0_MP[];
extern BYTE FLOOR1_MP[];
extern BYTE MOUNT2_MP[];

extern BYTE PIPE0_MP[];
extern BYTE PIPE1_MP[];
extern BYTE PIRANHAFLOWER0_MP[];
extern BYTE POLE0_MP[];
extern BYTE POW_MP[];
extern BYTE WALL0_MP[];
extern BYTE PVB_LEFT_MP[];
extern BYTE PVB_RIGHT_MP[];
extern BYTE PRECAUTION_MP[];
extern BYTE VBJAE_LEFT_MP[];
extern BYTE VBJAE_RIGHT_MP[];

extern BYTE COIN_MP[];
extern BYTE INTERROGATIONBLOCK_MP[];
extern BYTE NORMALBLOCK_MP[];
extern BYTE NOTEBLOCK_MP[];

extern BYTE BACKMOUNT0_1_MP[];
extern BYTE BACKMOUNT0_2_MP[];

extern BYTE MOUNTS0_MP[];
extern BYTE MOUNTS1_MP[];
extern BYTE JAPANARC_MP[];
extern BYTE FIREFLOWER_MP[];
extern BYTE BRIDGE0_MP[];
extern BYTE GOAL0_MP[];

extern BYTE PVBCC_MAP_LEFT[];
extern BYTE PVBCC_MAP_RIGHT[];

extern BYTE MARIO_TITLE_LEFT_MP[];
extern BYTE MARIO_TITLE_RIGHT_MP[];

extern BYTE TITLE_MP[];

extern BYTE GATE_MP[];

#endif /*MAPS_H_*/

