/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef GAMEWORLDS_H_
#define GAMEWORLDS_H_

/*-------------------------GENERIC GAME WORLDS-----------------------------*/

extern StageDefinition FOCUS_WR;
extern StageDefinition VBJAE_WR;
extern StageDefinition CREDITS_WR;
extern StageDefinition PRECAUTION_WR;
extern StageDefinition PAUSESCREEN_WR;
extern StageDefinition RESTSCREEN_WR;
extern StageDefinition AUTOPAUSESCREEN_WR;
extern StageDefinition OPTIONSSCREEN_WR;
extern StageDefinition PVBCC_WR;

/*--------------------------USER GAME WORLDS-------------------------------*/

extern StageDefinition TITLE_WR;
extern StageDefinition PAUSESCREEN_WR;
extern StageDefinition SELECTIONSCREEN_WR;
extern StageDefinition WORLD_0_0_0;


#endif /*GAMEWORLD_H_*/

