#ifndef USEROBJECTS_H_
#define USEROBJECTS_H_

/* ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * 												INCLUDES
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 */

#include <libgccvb2/libgccvb.h>
//#include "Constants.h"
#include "MiscStructs.h"
#include "Texture.h"
#include "../config.h"
#include "oop.h"
//#include "Character.h"

/* ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * The following are the structures used to defined different user objects in ROM memory
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------
 */


// in advance declaration
//__CLASS(Character);
//typedef struct Character_str* const Character;
//typedef struct Character_str* const Character;


/* ---------------------------------------------------------------------------------------------------------*/
// defines a textbox in ROM memory
typedef const struct TextBoxDefinition{
	
	// string
	char text[20];
	
}TextBoxDefinition;


/* ---------------------------------------------------------------------------------------------------------*/




/* ---------------------------------------------------------------------------------------------------------*/
/*
// a background asociated with a position
typedef const struct PositionedBackground{
	
	// pointer to background definition in ROM
	BackgroundDefinition* background;
	
	// position in the world
	Position position;
	
}PositionedBackground;
*/

/* ---------------------------------------------------------------------------------------------------------*/
// a textbox asociated with a position
typedef const struct PositionedTextBox{
	
	// pointer to textbox definition in ROM
	TextBoxDefinition* textBox;
	
	// position in the world
	VBVec3D position;
	
	//whether it is interactive or not
	int interactiveFlag;
	
}PositionedTextBox;






#endif /*USEROBJECTS_H_*/
