#ifndef MACROS_H_
#define MACROS_H_


//delay to don't allow the player to bypass logo's screen
#define SHOWDELAY	2000

/* */
#define FADEDELAY		15

#define LAYER_INCREMENT		50
#define LAYER_0 15
#define LAYER_1 (LAYER_0 + LAYER_INCREMENT)
#define LAYER_2 (LAYER_1 + LAYER_INCREMENT)
#define LAYER_3 (LAYER_2 + LAYER_INCREMENT)
#define LAYER_4 (LAYER_3 + LAYER_INCREMENT)

#define TOTAL_GAME_LAYERS 	5


#define SCREEN_CENTER_X		384/2
#define SCREEN_CENTER_Y		224/2

#define DEAD_VELOCITY_Y			ITOFIX23_9(70)
#define DEAD_ACCELERATION_Y		ITOFIX23_9(10)
#define DEAD_VELOCITY_Z			ITOFIX23_9(20)
#define DEAD_ACCELERATION_Z		ITOFIX23_9(10)

enum MarioVbTypes{
	kMario = 1,
	kKoopa,
	kPiranhaPlant,
	kSolid,
	kFloor,
	kGoal,
	kGate,
	kBridge,
};


#define GAMEWORLD_MODES		4 
enum GameWorldModes {
		kPlaying = 1,
		kMovingScreen,
		kMovingPerspective,
		kPaused,
};

#define __DEBUG

#endif /*MACROS_H_*/
