
/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef CHARS_H_
#define CHARS_H_
/* This file must have an extern definition of every char */ 
/*---------------------------------INCLUDES--------------------------------*/
#include <libgccvb2/libgccvb.h>
/*-------------------------------PROTOTYPES--------------------------------*/
extern const u16 ASCII_CH[];
extern BYTE BIGPOW_CH[];
extern BYTE CLOUDS0_CH[];
extern BYTE FLOOR0_CH[];
extern BYTE FLOOR1_CH[];
extern BYTE FLOOR2_CH[];

extern BYTE KOOPA0_CH[];
extern BYTE MARIO_CH[];
extern BYTE MOUNT0_CH[];
extern BYTE FLOOR1_CH[];
extern BYTE MOUNT2_CH[];

extern BYTE PIPE0_CH[];
extern BYTE PIPE1_CH[];
extern BYTE PIRANHAFLOWER0_CH[];
extern BYTE POLE0_CH[];
extern BYTE POW_CH[];
extern BYTE WALL0_CH[];
extern BYTE PVB_LEFT_CH[];
extern BYTE PVB_RIGHT_CH[];
extern BYTE PRECAUTION_CH[];
extern BYTE VBJAE_LEFT_CH[];
extern BYTE VBJAE_RIGHT_CH[];


extern BYTE COIN_CH[];
extern BYTE INTERROGATIONBLOCK_CH[];
extern BYTE NORMALBLOCK_CH[];
extern BYTE NOTEBLOCK_CH[];

extern BYTE BACKMOUNT0_1_CH[];
extern BYTE BACKMOUNT0_2_CH[];

extern BYTE MOUNTS0_CH[];
extern BYTE MOUNTS1_CH[];
extern BYTE JAPANARC_CH[];

extern BYTE FIREFLOWER_CH[];
extern BYTE BRIDGE0_CH[];
extern BYTE GOAL0_CH[];

extern BYTE PVBCC_CHARSET_LEFT[];
extern BYTE PVBCC_CHARSET_RIGHT[];

extern BYTE MARIO_TITLE_LEFT_CH[];
extern BYTE MARIO_TITLE_RIGHT_CH[];
extern BYTE TITLE_CH[];

extern BYTE GATE_CH[];

#endif /*CHARS_H_*/


