/* VbJaEngine: bitmap graphics engine for the Nintendo Virtual Boy 
 * 
 * Copyright (C) 2007 Jorge Eremiev
 * jorgech3@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef DEFINITIONS_H_
#define DEFINITIONS_H_
/*---------------------------------INCLUDES--------------------------------*/
//include project's bgm
#include "sound/sound.h"

//include project bgmap Characters
#include "characters/characters.h"

//include project bgmap text
//#include "texts/texts.h"

//include project game's Worlds
#include "worlds/worlds.h"

//include project's scroll backgrounds
#include "scrolls/scrolls.h"

//include project's scroll backgrounds
#include "backgrounds/backgrounds.h"

// include the first state to use in the game
#include "worlds/PrecautionScreen.h"
#include "worlds/InitFocusScreen.h"
#include "worlds/PVBCCScreen.h"
#include "worlds/GameWorld.h"

#endif /*DEFINITIONS_H_*/
